# HTTP Parameter Pollution Module

## INTRODUCTION

The HTTP Parameter Pollution module is designed to mitigate HTTP Parameter Pollution issues. It inspects incoming GET requests for duplicate query parameters and sanitizes the URL by removing earlier duplicates—keeping only the last occurrence of each parameter. When duplicates are found, the module rebuilds the query string and automatically redirects the user to the cleaned URL.

The primary use case for this module is:

- **Mitigating HTTP Parameter Pollution:** Ensuring that duplicate query parameters do not lead to unintended behaviors.
- **Sanitizing URLs:** Providing a normalized URL structure by retaining only the most recent values.
- **Enhancing Security:** Reducing the potential attack surface by eliminating ambiguous parameter handling.

## REQUIREMENTS

No additional requirements.

## INSTALLATION

Install as you would normally install a contributed Drupal module.  
See: [Installing Modules](https://www.drupal.org/docs/extending-drupal/installing-modules) for further information.

## CONFIGURATION

No configuration is necessary.

## MAINTAINERS

Current maintainers:

- Ahmed Alhaddad (ahmedx) - [https://www.drupal.org/u/ahmedx](https://www.drupal.org/u/ahmedx)
